Php – Terminal displays wrong php version (Snow Leopard)

macososx-snow-leopardphpterminal

Need to downgrade php to 5.2.x, so I followed this tutorial:
http://andreys.info/blog/2010-03-25/compile-php-5-2-on-osx-10-6-snow-leopard#comment-631

I'm on snow leopard 10.6.4, with xcode installed.

So I compiled php5.2.x and completed the tutorial. phpinfo() loaded within the browser at htp://localhost says 5.2.x, Great!! But, Terminal command "php –version" says 5.3.x ??

While compiling/installing php5.2.x, the new module file replaced the php5.3.x module here:
/usr/libexec/apache2/libphp5.so

  1. So where is Terminal getting 5.3.x from?
  2. Do I have two php versions being loaded?
  3. Should I even care?

Best Solution

For a more direct solution to the problem:

  1. Rename the OLD version of PHP

    sudo mv /usr/bin/php /usr/bin/php5424

  2. Create a Symbolic link for your new version of php so it can live in /usr/bin

    sudo ln -s /usr/local/php5/bin/php /usr/bin/php